Name:		hp8753
Version:	1.32
Release:	3%{?dist}
Summary:	HP8753 Network Analyzer Companion

Group:		Applications
License:	GPL3
URL:		https://github.com/vk2bea/hp8753
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXX)

BuildRequires:	sqlite-devel, libgs-devel, glib2-devel, gtk3-devel, linux-gpib-devel, systemd-devel
BuildRequires:  gcc

Requires:	ghostscript, glib2, gtk3, sqlite, linux-gpib, systemd-libs

%description

%global debug_package %{nil}

%prep
%setup -q
zcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz | tar -xvf -

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/help/C/hp8753
mkdir -p $RPM_BUILD_ROOT/usr/local/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/local/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/fonts/hp8753

cp Release/hp8753 $RPM_BUILD_ROOT/usr/local/bin/hp8753
cp Support/hp8753.desktop $RPM_BUILD_ROOT/usr/local/share/applications/
cp Support/hp8753.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp Support/NotoSansMono-Light.ttf $RPM_BUILD_ROOT/usr/local/share/fonts/hp8753
cp -r Support/Help/* $RPM_BUILD_ROOT/usr/local/share/help/C/hp8753/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/local/bin/hp8753
/usr/local/share/pixmaps/hp8753.svg
/usr/local/share/fonts/hp8753/NotoSansMono-Light.ttf
/usr/local/share/applications/hp8753.desktop
/usr/local/share/help/C/hp8753/index.page
/usr/local/share/help/C/hp8753/legal.xml
/usr/local/share/help/C/hp8753/media
/usr/local/share/help/C/hp8753/operations-cal.page
/usr/local/share/help/C/hp8753/operations-trace.page
/usr/local/share/help/C/hp8753/operations-calkit.page
/usr/local/share/help/C/hp8753/operations-projects.page
/usr/local/share/help/C/hp8753/overview.page
/usr/local/share/help/C/hp8753/starting.page
/usr/local/share/help/C/hp8753/options.page
/usr/local/share/help/C/hp8753/color.page
/usr/local/share/help/C/hp8753/media/data.png
/usr/local/share/help/C/hp8753/media/HP8753C.png
/usr/local/share/help/C/hp8753/media/HP8753-GPIBsetup.png
/usr/local/share/help/C/hp8753/media/HP8753-CalKit.png
/usr/local/share/help/C/hp8753/media/options.png
/usr/local/share/help/C/hp8753/media/setup+calibration.png
/usr/local/share/help/C/hp8753/media/trace.png
/usr/local/share/help/C/hp8753/media/project-rename.png
/usr/local/share/help/C/hp8753/media/rename.png
/usr/local/share/help/C/hp8753/media/project.png
/usr/local/share/help/C/hp8753/media/color.png

%doc

%post
fc-cache /usr/local/share/fonts/hp8753

%preun

%postun


%changelog
* Sun May 05 2024 - vk2bea+RPM@gmail.com
- Disable Cairo font hinting so resize of text maatches GtkDrawingArea size
* Sun Apr 07 2024 - vk2bea+RPM@gmail.com
- Do not show splash with debug > 1 and show GPIB note tab on first run
* Thu Mar 14 2024 - vk2bea+RPM@gmail.com
- Handle serial numbers with alpha characters
* Fri Feb 02 2024 - vk2bea+RPM@gmail.com
- Acquire HPGL before segments
* Thu Feb 01 2024 - vk2bea+RPM@gmail.com
- Increase timout for GPIB 'HOLD' command & increase prcision for CSV frequency
* Tue Jan 30 2024 - vk2bea+RPM@gmail.com
- fix marker annomoly
* Mon Jan 22 2024 - vk2bea+RPM@gmail.com
- fix Smith chart embedded symbols
* Wed Jan 17 2024 - vk2bea+RPM@gmail.com
- add S1P acquisition (S11 or S22)
* Mon Jan 15 2024 - vk2bea+RPM@gmail.com
- improve resizing of drawing areas
* Mon Jan 08 2024 - vk2bea+RPM@gmail.com
- optionally show HP logo on plot
- permit use of color transparancy
* Sat Jan 06 2024 - vk2bea+RPM@gmail.com
- fixes to permit GPIB operations on 8753D (or perhaps 82357B clone)
* Thu Dec 28 2023 - vk2bea+RPM@gmail.com
- update color chooser widget when resetting colors
* Tue Dec 19 2023 - vk2bea+RPM@gmail.com
- Fix calibration list anomalies (duplicate listings)
* Mon Dec 18 2023 - vk2bea+RPM@gmail.com
* Fri Aug 12 2022 - vk2bea+RPM@gmail.com
- Packaged files into RPM
